version: '3.8'

services:
  redis:
    image: redis:latest
    ports:
      - "6379:6379"
    volumes:
      - ./data/redis-data:/data

  typesense:
    image: typesense/typesense:0.24.1
    restart: on-failure
    ports:
      - "8108:8108"
    volumes:
      - ./data/typesense-data:/data
    env_file: .env
    command: '--data-dir /data'

volumes:
  redis-data:
  typesense-data:

